<?php
declare(strict_types=1);

namespace Pinpoint\CarouselManager\Api\Data;

interface SlideCtaInterface extends \Magento\Framework\Api\ExtensibleDataInterface
{

    const TEXT = 'text';
    const SLIDECTA_ID = 'slidecta_id';

    /**
     * Get slidecta_id
     * @return string|null
     */
    public function getSlidectaId();

    /**
     * Set slidecta_id
     * @param string $slidectaId
     * @return \Pinpoint\CarouselManager\Api\Data\SlideCtaInterface
     */
    public function setSlidectaId($slidectaId);

    /**
     * Get text
     * @return string|null
     */
    public function getText();

    /**
     * Set text
     * @param string $text
     * @return \Pinpoint\CarouselManager\Api\Data\SlideCtaInterface
     */
    public function setText($text);

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\CarouselManager\Api\Data\SlideCtaExtensionInterface|null
     */
    public function getExtensionAttributes();

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\CarouselManager\Api\Data\SlideCtaExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\CarouselManager\Api\Data\SlideCtaExtensionInterface $extensionAttributes
    );
}

