<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
declare(strict_types=1);

namespace Pinpoint\CarouselManager\Api\Data;

interface SlideInterface extends \Magento\Framework\Api\ExtensibleDataInterface
{

    const NAME = 'name';
    const SLIDE_ID = 'slide_id';

    /**
     * Get slide_id
     * @return string|null
     */
    public function getSlideId();

    /**
     * Set slide_id
     * @param string $slideId
     * @return \Pinpoint\CarouselManager\Api\Data\SlideInterface
     */
    public function setSlideId($slideId);

    /**
     * Get name
     * @return string|null
     */
    public function getName();

    /**
     * Set name
     * @param string $name
     * @return \Pinpoint\CarouselManager\Api\Data\SlideInterface
     */
    public function setName($name);

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\CarouselManager\Api\Data\SlideExtensionInterface|null
     */
    public function getExtensionAttributes();

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\CarouselManager\Api\Data\SlideExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\CarouselManager\Api\Data\SlideExtensionInterface $extensionAttributes
    );
}

